> ## Documentation Index
> Fetch the complete documentation index at: https://docs.money.orki.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Transaction

> Use this endpoint to initiate a new transaction. The response includes a hosted payment link that the user can follow to complete the transaction.
You can track the transaction status via webhooks or by polling the `GET /api/v1/partner/transactions/{transaction_id}` endpoint.



## OpenAPI

````yaml POST /api/v1/partner/transactions
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.money.orki.io
security:
  - ApiKeyAuth: []
paths:
  /api/v1/partner/transactions:
    post:
      tags:
        - Quotes API
      summary: Create a Transaction
      operationId: postApiV1MerchantQuotesBuy
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fiat_currency:
                  type: string
                  example: EUR
                crypto_currency:
                  type: string
                  example: BTC
                payment_method:
                  type: string
                  example: credit_debit_card
                network:
                  type: string
                  example: mainnet
                amount:
                  type: number
                  example: 900
                provider:
                  type: string
                  example: guardarian
                redirect_url:
                  type: string
                  example: https://website.com/success
                partner_context:
                  type: string
                  example: abcd
                type:
                  type: string
                  example: BUY
              required:
                - fiat_currency
                - crypto_currency
                - payment_method
                - network
                - amount
                - provider
                - type
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      transaction_id:
                        type: string
                        example: 01k8qrw1j0f2mvd99x33ep160s
                      provider:
                        type: object
                        properties:
                          name:
                            type: string
                            example: Guardarian
                          identifier:
                            type: string
                            example: guardarian
                          icon:
                            type: string
                            example: >-
                              https://d31sk3i6y53c7h.cloudfront.net/assets/providers/guardarian.svg
                      exchange_rate:
                        type: number
                        example: 93023.26
                      is_best:
                        type: boolean
                        example: true
                      fiat_amount:
                        type: number
                        example: 350
                      crypto_amount:
                        type: number
                        example: 0.0037606
                      quote_amount:
                        type: number
                        example: 0.0037606
                      link:
                        type: string
                        nullable: true
                        example: buy-link
                  success:
                    type: boolean
                    example: true
                  code:
                    type: integer
                    example: 200
                example:
                  msg: success
                  data:
                    transaction_id: 01k8qrw1j0f2mvd99x33ep160s
                    provider:
                      name: Guardarian
                      identifier: guardarian
                      icon: >-
                        https://d31sk3i6y53c7h.cloudfront.net/assets/providers/guardarian.svg
                    exchange_rate: 93023.26
                    is_best: true
                    fiat_amount: 350
                    crypto_amount: 0.0037606
                    quote_amount: 0.0037606
                    link: buy-link
                  success: true
                  code: 200
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-ORKI-API-KEY

````